      FUNCTION ConvertNumAt(ATOM)

      use Path_module, only : Nom, max_Z

      IMPLICIT NONE

      INTEGER(4) :: I,Long,ConvertNumAt,IC
      character(*) :: ATOM
      CHARACTER(3) :: ATOME
      CHARACTER(10) :: L_Atom

!     Verifie qu'il n'y a que des lettres et des espaces dans ATOM

      L_atom=ADJUSTL(Atom)
      IF (ATOM(1:1).LT.'A') L_ATOM(1:1)=' '
      IC=Ichar(ATOM(1:1))
      IF ((ic.le.123).AND.(ic.ge.97)) L_ATOM(1:1)=CHAr(IC-32)
      IF (ATOM(2:2).LT.'A') L_ATOM(2:2)=' '
      IC=Ichar(ATOM(2:2))
      IF ((ic.le.123).AND.(ic.ge.97)) L_ATOM(2:2)=CHAr(IC-32)

!     Justifie le nom sur la droite (et non sur la gauche comme souvent...)
      Long=INDEX(L_ATOM,' ')-1
      ATOME=' ' // L_ATOM(1:2)
      IF (Long.EQ.1) L_ATOM=ATOME(1:2)
      I=max_Z
      DO WHILE ((nom(I).NE.L_ATOM(1:2)) .AND. (I.GT.0))
         I=I-1
      END DO

      ConvertNumAT=I

      END

